This commit is contained in:
2026-05-23 05:09:58 -06:00
parent ed494e9a08
commit c081716207
13 changed files with 7 additions and 23 deletions
BIN
View File
Binary file not shown.
-1
View File
@@ -1 +0,0 @@
anonymous namespaces="file-integrity" ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIHNjfc58+rgA/WBEhdF8y4r6y4JddB8RPw2AQHHkaZI0 anonymous
-1
View File
@@ -1 +0,0 @@
e7ff3efd3222f6dac5f6156c9d417c90dc56c34973b1b86573e139de1edfb2c15334b3fde0b2295cf63b66b567c22f8a95870c54eacfe9e9aeb5f0d31fa1ff2d
-5
View File
@@ -1,5 +0,0 @@
51b0e1ebf18adf1dabc4d1e0a1a8f5568e6ab51dd490b9425375c067ba8a9a419f235d761f975bcc8a44bb8135a81cef1be95294e365a51c7b90137dc76f6212 ./out/anonymous_signer
46bd2773528f7670865fb15b7db06e9011989b3aa5bb09c00c4f50a46f5de22225938d9ea25447bef691df598c48505ab8a35fe13baadb47261e4a6cdf4bc8f7 ./out/contents.7z
fc283df1f568f034617c1d1388fcc17b5961e27a5827be686bb4ade269e149511d78ed6150e8339be6925f96980e1529a23e8d15ff18470fa259ffa22b36f97d ./out/contents.7z.sig
f91f1e84c205e1a5d1827be1efb5f576a04894f5649149b6bf5e1cf6e02a29b1470d8aec9ff334a99f5dfc50712a081bfedc182aacd3f6b65249e5f84c0630b3 ./out/test_validation_passphrase.sh
db0617ccc8fd63a0906532e45eca1c2e07cf476cf9d6c68d2241cc6e254afe22e829bacce48e96cff5975cfd07a10dbd4e2d9006214344711a9571edf3e55987 ./out/verify-everything.sh
BIN
View File
Binary file not shown.
-6
View File
@@ -1,6 +0,0 @@
-----BEGIN SSH SIGNATURE-----
U1NIU0lHAAAAAQAAADMAAAALc3NoLWVkMjU1MTkAAAAgc2N9znz6uAD9YESF0XzLivrLgl
10HxE/DYBAceRpkjQAAAAOZmlsZS1pbnRlZ3JpdHkAAAAAAAAABnNoYTUxMgAAAFMAAAAL
c3NoLWVkMjU1MTkAAABA0h80JbN4Gk0q1i9lqF3A1lRFfqjPQrFWblWe1IsZB8fQLl6G8j
l8Igkg5b7ifKRUz36908a/XVkhRbDTUGEkBg==
-----END SSH SIGNATURE-----
View File
-15
View File
@@ -1,15 +0,0 @@
#!/bin/bash
set -e
attrib_hash=$(cat "./attribution.sha512")
echo "enter passphrase to test"
read passphrase
echo
tested_hash=$( ( echo -n "$passphrase"; cat "./contents.7z" ) | sha512sum | awk '{print $1}')
if [[ "$attrib_hash" == "$tested_hash" ]]; then
echo -e "\n\nAttribution With Password $passphrase: \033[0;32mOK!\033[0m\n\n"
else
echo -e "Attribution With Password $passphrase: \033[0;31mFAIL!\033[0m"
fi
-29
View File
@@ -1,29 +0,0 @@
#!/bin/bash
set -e
checkcode () {
if [ -z "$1" ]; then
echo -e "\n\e[31mERROR!\033[0m chkcode missing return code paramater\n"
exit 1
else
retcode=$1
fi
if [ $retcode -ne 0 ]; then
echo -e "\t\e[31mERROR!\033[0m Response Code: $retcode"
else
printf '\e[1;32mOK!\e[0m\n'
fi
}
printf "Testing contents.7z integrity... "
7z t contents.7z > /dev/null 2>&1
checkcode $?
printf "Checking sha512 checksums... "
sha512sum -c checksums.sha512 > /dev/null 2>&1
checkcode $?
printf "Checking signature against provided public key... "
ssh-keygen -Y verify -f "./anonymous_signer" -I "anonymous" -n "file-integrity" -s contents.7z.sig < contents.7z > /dev/null > /dev/null > /dev/null 2>&1
checkcode $?